Postfinance Checkout lässt sich nicht installieren

Wer hat Erfahrung mit dem Postfinance Checkout Modul Installation?

Ich habe einen leeren CE Shop in der Version 6.2 bereitgestellt. Anschliessend die Dateien des Moduls (Nach Anleitung PostFinance Checkout OXID 6.X (postfinance-checkout.ch) per FTP ins OXID Root /Source/ kopiert. Im gleichen Moment geht der Shop offline bzw. wirft einen 500er Fehler.

Im OXIDshop.log habe ich folgenden Fehler gefunden:

[09 Feb 22:16:04.893693 2021] [uncaught error] [type E_COMPILE_ERROR] [file /home/httpd/vhosts/spielgigant-test.ch/test.spielgigant-test.ch/source/bootstrap.php] [line 156] [code ] [message require_once(): Failed opening required ‘/home/httpd/vhosts/spielgigant-test.ch/test.spielgigant-test.ch/source/Core/Autoload/BackwardsCompatibilityAutoload.php’ (include_path=’.:/usr/share/pear:/usr/share/php’)]

Lösche ich alle kopierten Files wieder. Läuft der Shop wieder.

Eckwerte: OXID Version 6.2 (leer installiert) / Pfpayment Versions: oxid-6.0-1.0.25

Danke für Euren Tipp

Die Doku stimmt vorne und hinten nicht.
Das Modul muss über composer installiert werden, hierfür füge deren Repositry zu deiner composer.json hinzu:

Und dann sollte das Modul mit composer require -n postfinancecheckout/oxid-6.0 installierbar sein

1 Like

wau … ich hab geflucht und gegoogld. Und diesen Artikel nicht gesehen.
Modul konnte in 1min installiert werden.
Support von Checkout hat demnach bis heute nicht gemerkt, dass die Anleitung falsch ist.

Ich danke dir erneut für die wertvolle Unterstützung.

1 Like